﻿using FLY.FeedbackRenZiJia.UI.Client.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.FeedbackRenZiJia.UI.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class PgMenu : Page
    {
        IUnityContainer container;
        public PgMenu()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }

        private void button_set_Click(object sender, RoutedEventArgs e)
        {
            var p = container.Resolve<PgSetup>();
            MultiLayout.FlyLayoutManager.NavigationService.Navigate(p);
        }

        private void button_heatlist_Click(object sender, RoutedEventArgs e)
        {
            var p = container.Resolve<PgHeatList>();
            MultiLayout.FlyLayoutManager.NavigationService.Navigate(p);
            
        }

        private void button_version_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button_graphset_Click(object sender, RoutedEventArgs e)
        {
            var p = new WdGraphSet();
            p.Init();
            p.Owner = FLY.ControlLibrary.COMMON.GetWindow(this);
            p.ShowDialog();
        }
    }
}
