﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Net;

namespace FLY.FeedbackRenZiJia.UI.Client.UiModule
{
    /// <summary>
    /// Window_GraphSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdGraphSet : FLY.ControlLibrary.WindowBigClose
    {
        GraphAirRingParams graphAirRingParams;
        
        public WdGraphSet()
        {
            InitializeComponent();
        }
        public void Init() {
            graphAirRingParams = GraphAirRingParams.Current;
        }
        private void button1_Click(object sender, RoutedEventArgs e)
        {

            graphAirRingParams.Save();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.DataContext = graphAirRingParams;
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
    public class IPEPConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            IPEndPoint ep = (IPEndPoint)value;
            return ep.ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string s = (string)value;
            return Misc.StringConverter.ToIPEndPoint(s);
        }

        #endregion
    }
}
