﻿using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.HeatingHelper.UI.UiModule.Dlg_GetSaveSwitches
{
    public class VM_GetSaveSwitches : INotifyPropertyChanged
    {
        public bool ResetBoltSave { get; set; } = true;
        public bool RAngleSave { get; set; } = false;
        public bool KpSave { get; set; } = false;

        public bool IsCancel = false;

        public RelayCommand Apply { get; set; }
        private void Command_Apply()
        {
            IsCancel = false;
        }
        public RelayCommand Cancel { get; set; }
        private void Command_Cancel()
        {
            IsCancel = true;
        }

        public VM_GetSaveSwitches()
        {
            Apply = new RelayCommand(Command_Apply);
            Cancel = new RelayCommand(Command_Cancel);
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
