﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.HeatingHelper.UI.UiModule.UC_SelectData
{
    /// <summary>
    /// UC_SelectData.xaml 的交互逻辑
    /// </summary>
    public partial class UC_SelectData : UserControl
    {
        public UC_SelectData()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IUnityContainer container,IThickHeatData dat)
        {
            DataContext = container.Resolve<ViewModel_UC_SelectData>();
            //this.DataContext = new ViewModel_UC_SelectData(DataManager.GetThickDataInstance());
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void uc1_Loaded(object sender, RoutedEventArgs e)
        {
            (DataContext as ViewModel_UC_SelectData).OnLoaded();
        }

        private void DataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            (DataContext as ViewModel_UC_SelectData).PlotElementLoaded(sender, e);
        }

        private void C1chart_Loaded(object sender, RoutedEventArgs e)
        {
            LineAreaOptions.SetOptimizationRadius(c1chart, 5);
        }
    }
}
