﻿using FLY.OBJComponents.Client;
using FLY.Winder.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Unity;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// PgInterstitialParam.xaml 的交互逻辑
    /// </summary>
    public partial class PgInterstitialParam : Page
    {
        IWinderSystemService winderSystem;
        SetPLCUpdatePlan setPlan_accessory;
        SetPLCUpdatePlan[] setPlan_winders = new SetPLCUpdatePlan[2];
        public PgInterstitialParam()
        {
            InitializeComponent();
;
        }
        [InjectionMethod]
        public void Init(IWinderSystemService winderSystem)
        {
            this.winderSystem = winderSystem;
            this.DataContext = winderSystem;

            //注册属性更新计划
            setPlan_accessory = new SetPLCUpdatePlan(
                winderSystem.PLCos,
                 winderSystem.Accessory,
                 new string[] {
                    "WindMaxDia",
                 });

            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i] = new SetPLCUpdatePlan(
                    winderSystem.PLCos,
                    winderSystem.Items[i],
                    new string[] {
                        "EleRulerValue",
                        "InterstitialValue",
                        "CenterDia",
                        "DiaFactor",
                        "MaxDiaSet",
                        "MinDiaSet",
                        "MaxValueSet",
                        "MinValueSet",
                        "InterstitialWidth",
                        "InterstitialPressureComp",
                        "Tension2",
                        "TensionComp",
                        "SpliceCompLen",
                        "SpliceCompBeginPos",
                        "SpliceCompEndPos"
                    });
            }
        }
        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            setPlan_accessory.Dispose();
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i].Dispose();
            }
        }
    }
}
