﻿using FLY.Integrated.Common;
using FLY.OBJComponents.IService;
using FObjBase;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Integrated.IService
{
    public interface IIntegratedSystemService:INotifyPropertyChanged
    {
        /// <summary>
        /// 数据
        /// </summary>
        IbcData Ibc { get; }

        /// <summary>
        ///  收卷
        /// </summary>
        WinderAccessory Accessory { get; }

        /// <summary>
        /// PLC代理系统
        /// </summary>
        IPLCProxySystemService PLCos { get; }
    }
}
