﻿using FLY.ControlLibrary;
using FLY.Weight.IService;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.Weight.UI.Client.UiModule
{
    /// <summary>
    /// Window_GraphSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdGraphSet : WindowBigClose
    {
        IWeightSystemService weightSystemService;

        public WdGraphSet()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IWeightSystemService weightSystemService)
        {
            this.weightSystemService = weightSystemService;

            stackpanel_show.DataContext = FlowGraphParams.Current;
            stackpanel_sys.DataContext = weightSystemService;
        }
        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            FlowGraphParams.Current.Save();
            this.DialogResult = true;
            this.Close();
        }

    }
}
