﻿using FLY.OBJComponents.Client;
using FLY.Winder.IService;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Unity;

namespace FLY.Winder.UI.Client.UiModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class WdManual2 : FLY.ControlLibrary.WindowBigClose
    {
        IWinderSystemService winderSystem;
        SetPLCUpdatePlan[] setPlan_winders = new SetPLCUpdatePlan[2];
        public WdManual2()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(
            IWinderSystemService winderSystem)
        {
            this.winderSystem = winderSystem;
            this.DataContext = winderSystem;

            //IsTongAuto
            //注册属性更新计划
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i] = new SetPLCUpdatePlan(
                    winderSystem.PLCos,
                    winderSystem.Items[i],
                    new string[] {
                        "IsTongAuto",
                        "TurnoverInching",
                        "CuttingFilm",
                        "TurnoverOrg",
                        "PressureArmOffset",
                        "PushRod",
                        "TongLoosen",
                        "TongUp",
                        "TongDown",
                        "TongIn",
                        "TongOut" });
            }
        }

        private void WindowBigClose_Unloaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 2; i++)
            {
                setPlan_winders[i].Dispose();
            }
        }
    }


}
